0

While starting wireshark, I am getting following error:

sudo wireshark

This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: linuxfb, minimal, offscreen, xcb.

Reinstalling the application may fix the problem.
Aborted (core dumped)

After installing xcb, still I get the same error.

I am using Ubuntu 16.04

Solutions from following links didn't worked for me:

0

With the given information, I would recommend to reinstall completely wireshark as followed:

sudo apt-get remove --purge wireshark
sudo apt-get autoremove
sudo apt-get update
sudo apt-get install libcap2-bin wireshark
sudo dpkg-reconfigure wireshark-common

Select Yes so that non-superusers will be able to use wireshark (practice recommended by the Wireshark Wiki)

sudo chgrp YOUR_USER_NAME /usr/bin/dumpcap
sudo chmod 750 /usr/bin/dumpcap
sudo setcap cap_net_raw,cap_net_admin+eip /usr/bin/dumpcap

Links:

  • tried your steps, but still facing the same error – Patrick Apr 24 '18 at 13:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.